%This program lists the variables in z(t+1), z(t), z(t-1) and the variables in Psi(t+1) and Psi(t)
%Note that Psi(t) contains 25*2=50 elements, rather then 25 only. The
%reason is that for each shock, we list the time (t) one and immediately
%after it, the time (t-1) one. We do so in order to accommodate the presence of
%sigma(t-1), tauk(t-1) and muzt(t-1) in some of the equations.


zp1(1)=pi;
zp1(2)=s;
zp1(3)=rk;
zp1(4)=i;
zp1(5)=1;
if entr == 1
    zp1(6)=omegabar;
    zp1(7)=Rk;
    zp1(8)=n;
    zp1(9)=q;
    zp1(10)=vl;
    zp1(11)=ev;
    ii=11;
elseif entr == 0
    zp1(6)=Rk;
    zp1(7)=q;
    zp1(8)=vl;
    zp1(9)=ev;
    ii=9;
elseif entr== -1 || entr==-2
    zp1(6)=Rk;
    zp1(7)=q;
    ii=7;
elseif entr ==-3
    zp1(6)=omegabar;
    zp1(7)=Rk;
    zp1(8)=n;
    zp1(9)=q;
    ii=9;
end
if entr > -2
    zp1(ii+1)=mb;
    ii=ii+1;
end
if entr >=-2
    zp1(ii+1)=R;
    ii=ii+1;
end
zp1(ii+1)=uzc;
if entr > -2
    zp1(ii+2)=lambdaz;
    zp1(ii+3)=m;
    ii=ii+3;
elseif entr ==-2
    ii=ii+1;
elseif entr ==-3
    zp1(ii+2)=lambdaz;
    ii=ii+2;
end
if entr>-1
    zp1(ii+1)=Ra;
    ii=ii+1;
end
zp1(ii+1)=c;
zp1(ii+2)=w;
zp1(ii+3)=h;
zp1(ii+4)=kbar;
ii=ii+4;
if entr > -1 || entr==-3
    zp1(ii+1)=Re;
    ii=ii+1;
end
if entr > -2
    zp1(ii+1)=x;
    ii=ii+1;
end
if entr>-1
    zp1(ii+1)=dm;
    zp1(ii+2)=Rm;
    zp1(ii+3)=m3;
    zp1(ii+4)=mb;
    ii=ii+4;
end
if entr==1 || entr==-3
    zp1(ii+1)=btot;
    ii=ii+1;
end    
if entr>-1
    zp1(ii+1)=kbar;
    ii=ii+1;
end
zp1(ii+1) = h;
ii=ii+1;

if do_qavrg ==1
    zp1(ii+1)=qavrg;
    ii=ii+1;
end

zp1(ii+1)=pstar;
zp1(ii+2)=wstar;
zp1(ii+3)=Fp;
zp1(ii+4)=Fw;
zp1(ii+5)=wplus;
%

z0(1)=pi;
z0(2)=s;
z0(3)=rk;
z0(4)=i;
z0(5)=1;
if entr == 1
    z0(6)=omegabar;
    z0(7)=Rk;
    z0(8)=n;
    z0(9)=q;
    z0(10)=vl;
    z0(11)=ev;
    ii=11;
elseif entr == 0
    z0(6)=Rk;
    z0(7)=q;
    z0(8)=vl;
    z0(9)=ev;
    ii=9;
elseif entr== -1 || entr==-2
    z0(6)=Rk;
    z0(7)=q;
    ii=7;
elseif entr ==-3
    z0(6)=omegabar;
    z0(7)=Rk;
    z0(8)=n;
    z0(9)=q;
    ii=9;
end
if entr > -2
    z0(ii+1)=mb;
    ii=ii+1;
end
if entr >= -2
    z0(ii+1)=R;
    ii=ii+1;
end
z0(ii+1)=uzc;
if entr > -2
    z0(ii+2)=lambdaz;
    z0(ii+3)=m;
    ii=ii+3;
elseif entr==-2
    ii=ii+1;
elseif entr ==-3
    z0(ii+2)=lambdaz;
    ii=ii+2;
end
if entr>-1
    z0(ii+1)=Ra;
    ii=ii+1;
end
z0(ii+1)=c;
z0(ii+2)=w;
z0(ii+3)=h;
z0(ii+4)=kbar;
ii=ii+4;
if entr > -1 || entr ==-3
    z0(ii+1)=Re;
    ii=ii+1;
end
if entr > -2
    z0(ii+1)=x;
    ii=ii+1;
end
if entr>-1
    z0(ii+1)=dm;
    z0(ii+2)=Rm;
    z0(ii+3)=m3;
    z0(ii+4)=mb;
    ii=ii+4;
end
if entr==1 || entr ==-3
    z0(ii+1)=btot;
    ii=ii+1;
end    
if entr>-1
    z0(ii+1)=kbar;
    ii=ii+1;
end
z0(ii+1)=h;
ii=ii+1;

if do_qavrg ==1
    z0(ii+1)=qavrg;
    ii=ii+1;
end

z0(ii+1)=pstar;
z0(ii+2)=wstar;
z0(ii+3)=Fp;
z0(ii+4)=Fw;
z0(ii+5)=wplus;
%

zm1(1)=pi;
zm1(2)=s;
zm1(3)=rk;
zm1(4)=i;
zm1(5)=1;
if entr == 1
    zm1(6)=omegabar;
    zm1(7)=Rk;
    zm1(8)=n;
    zm1(9)=q;
    zm1(10)=vl;
    zm1(11)=ev;
    ii=11;
elseif entr == 0
    zm1(6)=Rk;
    zm1(7)=q;
    zm1(8)=vl;
    zm1(9)=ev;
    ii=9;
elseif entr ==-1 || entr==-2
    zm1(6)=Rk;
    zm1(7)=q;
    ii=7;
elseif entr==-3
    zm1(6)=omegabar;
    zm1(7)=Rk;
    zm1(8)=n;
    zm1(9)=q;
    ii=9;
end
if entr > -2
    zm1(ii+1)=mb;
    ii=ii+1;
end
if entr >=-2
    zm1(ii+1)=R;
    ii=ii+1;
end
zm1(ii+1)=uzc;
if entr > -2
    zm1(ii+2)=lambdaz;
    zm1(ii+3)=m;
    ii=ii+3;
elseif entr==-2
    ii=ii+1;
elseif entr==-3
    zm1(ii+2)=lambdaz;
    ii=ii+2;
end
if entr>-1
    zm1(ii+1)=Ra;
    ii=ii+1;
end
zm1(ii+1)=c;
zm1(ii+2)=w;
zm1(ii+3)=h;
zm1(ii+4)=kbar;
ii=ii+4;
if entr > -1 || entr ==-3
    zm1(ii+1)=Re;
    ii=ii+1;
end
if entr > -2
    zm1(ii+1)=x;
    ii=ii+1;
end
if entr>-1
    zm1(ii+1)=dm;
    zm1(ii+2)=Rm;
    zm1(ii+3)=m3;
    zm1(ii+4)=mb;
    ii=ii+4;
end
if entr==1 || entr==-3
    zm1(ii+1)=btot;
    ii=ii+1;
end    
if entr>-1
    zm1(ii+1)=kbar;
    ii=ii+1;
end
zm1(ii+1)=h;
ii=ii+1;

if do_qavrg ==1
    zm1(ii+1)=qavrg;
    ii=ii+1;
end

zm1(ii+1)=pstar;
zm1(ii+2)=wstar;
zm1(ii+3)=Fp;
zm1(ii+4)=Fw;
zm1(ii+5)=wplus;
%

psip1(1)=lambdaf;
psip1(2)=pi;
psip1(3)=psil;
psip1(4)=psik;
psip1(5)=ksi;
psip1(6)=xb;
psip1(7)=muup;
psip1(8)=theta;
psip1(9)=chii;
psip1(10)=taul;
psip1(11)=tauk;
psip1(12)=zeta;
psip1(13)=g;
psip1(14)=v;
psip1(15)=taud;
psip1(16)=muzstar;
psip1(17)=gamma;
psip1(18)=epsil;
psip1(19)=xp;
psip1(20)=tauc;
psip1(21)=sigma;
psip1(22)=1;
psip1(23)=1;
psip1(24)=1;
psip1(25)=1;
%
psip0(1)=lambdaf;
psip0(2)=lambdaf;
psip0(3)=pi;
psip0(4)=pi;
psip0(5)=psil;
psip0(6)=psil;
psip0(7)=psik;
psip0(8)=psik;
psip0(9)=ksi;
psip0(10)=ksi;
psip0(11)=xb;
psip0(12)=xb;
psip0(13)=muup;
psip0(14)=muup;
psip0(15)=theta;
psip0(16)=theta;
psip0(17)=chii;
psip0(18)=chii;
psip0(19)=taul;
psip0(20)=taul;
psip0(21)=tauk;
psip0(22)=tauk;
psip0(23)=zeta;
psip0(24)=zeta;
psip0(25)=g;
psip0(26)=g;
psip0(27)=v;
psip0(28)=v;
psip0(29)=taud;
psip0(30)=taud;
psip0(31)=muzstar;
psip0(32)=muzstar;
psip0(33)=gamma;
psip0(34)=gamma;
psip0(35)=epsil;
psip0(36)=epsil;
psip0(37)=xp;
psip0(38)=xp;
psip0(39)=tauc;
psip0(40)=tauc;
psip0(41)=sigma;
psip0(42)=sigma;
psip0(43)=1;
psip0(44)=1;
psip0(45)=1;
psip0(46)=1;
psip0(47)=1;
psip0(48)=1;
psip0(49)=1;
psip0(50)=1;
