function [] = plotbank(Mb_nom,M1_nom,M3,M_nom,Dh_nom,Dm_unscaled,timedep_nom,velm1hat,velm3hat,Rbhat,Rb,Rehatp,Re,Rahat,Ra,Rhat,R, ...
    Rmhatp,Rm,Zhat,Z,Rlong,tt,String1)

figure
n1=4;
n2=4;

subplot(n1,n2,1)
plot(tt,Mb_nom(tt)*100,'b-')
axis tight
set (gca,'XTicklabel',{''})
ylabel('percent')
title('Money Base (nominal)');

subplot(n1,n2,2)
plot(tt,M1_nom(tt)*100,'b-')
set (gca,'XTicklabel',{''})
title('M1 (nominal)')
ylabel('percent')
axis tight

subplot(n1,n2,3)
plot(tt,M3(tt)*100,'b-')
axis tight
set (gca,'XTicklabel',{''})
ylabel('percent')
title('M3 (nominal)');

subplot(n1,n2,4)
plot(tt,M_nom(tt)*100,'b-')
set (gca,'XTicklabel',{''})
title('Currency (nominal)')
ylabel('percent')
axis tight

subplot(n1,n2,5)
plot(tt,Dh_nom(tt)*100,'b-')
set (gca,'XTicklabel',{''})
title('Dh (nominal)')
ylabel('percent')
axis tight

subplot(n1,n2,6)
plot(tt,Dm_unscaled(tt)*100,'b-')
set (gca,'XTicklabel',{''})
title('Dm (nominal)')
ylabel('percent')
axis tight

subplot(n1,n2,7)
plot(tt,timedep_nom(tt)*100,'b-')
set (gca,'XTicklabel',{''})
title('Time Deposits (nominal)')
ylabel('percent')
axis tight

subplot(n1,n2,8)
plot(tt,velm1hat(tt)*100,'b-')
set (gca,'XTicklabel',{''})
title('Log M1 Velocity')
ylabel('percent')
axis tight

subplot(n1,n2,9)
plot(tt,velm3hat(tt)*100,'b-')
set (gca,'XTicklabel',{''})
title('Log M3 Velocity')
ylabel('percent')
axis tight

subplot(n1,n2,10)
plot(tt,Rbhat(tt)*Rb*400*100,'b-')
axis tight
set (gca,'XTicklabel',{''})
ylabel('basis points')
title('Rb (Annual Rate)');

subplot(n1,n2,11)
plot(tt,Rehatp(tt)*Re*400*100,'b-')
axis tight
set (gca,'XTicklabel',{''})
ylabel('basis points')
title('Re (Annual Rate)');

subplot(n1,n2,12)
plot(tt,Rahat(tt)*Ra*400*100,'b-')
axis tight
set (gca,'XTicklabel',{''})
ylabel('basis points')
title('Ra (Annual Rate)');

subplot(n1,n2,13)
plot(tt,Rhat(tt)*R*400*100,'b-')
axis tight
%set (gca,'XTicklabel',{''})
ylabel('basis points')
title('R (Annual Rate)');

subplot(n1,n2,14)
plot(tt,Rmhatp(tt)*Rm*400*100,'b-')
axis tight
%set (gca,'XTicklabel',{''})
ylabel('basis points')
title('Rm (Annual Rate)');

subplot(n1,n2,15)
plot(tt,Zhat(tt)*Z*400*100,'b-')
axis tight
%set (gca,'XTicklabel',{''})
ylabel('basis points')
title('Z (Annual Rate)');

subplot(n1,n2,16)
plot(tt,Rlong(tt)*Re*400*100,'b-')
axis tight
%set (gca,'XTicklabel',{''})
ylabel('basis points')
title('Long Rate (Annual)');


hout=suptitle(String1);