for ii=1:length(taushock)
    
    select1=III(ii);
    select2=taushock(ii);
    
    if taushock(ii) == 1 && parstoch(taushock(ii)) > 0
        
        subplot(n1,n2,ii)
        plot(date(tt),100*(psismooth(select1+2,tt)))
        title(nameshocks(1,:));
        ylabel('% dev. from steady state')
        
    elseif taushock(ii) == 2  && parstoch(taushock(ii)) > 0
        subplot(n1,n2,ii)
        plot(date(tt),400*(ssvalues(select2)*exp(psismooth(select1+2,tt))-1))
        title([deblank(nameshocks(2,:)) ', APR']);
        ylabel('Level')
        
    elseif taushock(ii) == 7  && parstoch(taushock(ii)) > 0
        subplot(n1,n2,ii)
        plot(date(tt),ssvalues(select2)*exp(psismooth(select1+2,tt)))
        title(nameshocks(7,:));
        ylabel('Level')
        
    elseif taushock(ii) == 12 && parstoch(taushock(ii)) > 0
        
        subplot(n1,n2,ii)
        plot(date(tt),exp(psismooth(select1+2,tt)))
        title(nameshocks(12,:));
        ylabel('Ratio to steady state')
    
    elseif taushock(ii) == 13 && parstoch(taushock(ii)) > 0
        
        subplot(n1,n2,ii)
        %plot(date(tt),dlgovtak2(tt))
        plot(date(tt),100*(psismooth(select1+2,tt)))
        title(nameshocks(13,:))
        set (gca,'XTick',[0 20])
        
    elseif taushock(ii) == 14 && parstoch(taushock(ii)) > 0
        
        subplot(n1,n2,ii)
        plot(date(tt),100*(psismooth(select1+2,tt)))
        title(nameshocks(14,:));
        ylabel(' % dev. from steady state')       
       
    elseif taushock(ii) == 18 && parstoch(taushock(ii)) > 0
        
        subplot(n1,n2,ii)
        plot(date(tt),ssvalues(select2)*exp(psismooth(select1+2,tt)))
        title(nameshocks(18,:));
        ylabel('Level')
        
   elseif taushock(ii) == 19  && parstoch(taushock(ii)) > 0
        subplot(n1,n2,ii)
        plot(date(tt),100*(psismooth(select1+2,tt)))
        title([deblank(nameshocks(19,:)) ' (basis points)']);
        ylabel('Level')
        
   elseif taushock(ii) == 21 && parstoch(taushock(ii)) > 0
        
        subplot(n1,n2,ii)
        plot(date(tt),ssvalues(select2)*exp(psismooth(select1+2,tt)))
        title(nameshocks(21,:));
        ylabel('Level')    
        
    elseif taushock(ii) == 22  && parstoch(taushock(ii)) > 0
        subplot(n1,n2,ii)
        plot(date(tt),exp(psismooth(select1+2,tt)))
        title(nameshocks(22,:));
        ylabel('Ratio to s.s.')

    elseif taushock(ii) == 23  && parstoch(taushock(ii)) > 0
        subplot(n1,n2,ii)
        plot(date(tt),exp(psismooth(select1+2,tt)))
        title(nameshocks(23,:));
        ylabel('Ratio to s.s.')
        %set (gca,'XTick',[0 20])

    elseif taushock(ii) == 24  && parstoch(taushock(ii)) > 0
        subplot(n1,n2,ii)
        plot(date(tt),exp(psismooth(select1+2,tt)))
        title(nameshocks(24,:));
        ylabel('Ratio to s.s.')

    elseif taushock(ii) ==25  && parstoch(taushock(ii)) > 0
        subplot(n1,n2,ii)
        plot(date(tt),exp(psismooth(select1+2,tt)))
        title(nameshocks(25,:));
        ylabel('Ratio to s.s.')
        
    elseif parstoch(taushock(ii)) > 0
        
        if max(shock_trans==taushock(ii)) == 1 && taushock(ii) ~= 3
            steadyx=-log((1/ssvalues(select2))-1);
            shockx=psismooth(select1+2,tt)+steadyx;
            yy=1./(1+exp(-shockx));
            
            subplot(n1,n2,ii)
            %           plot(date(tt),yy,'-',date(tt),ssvalues(select2)* ...
            %               exp((1-ssvalues(select2))*psismooth(select1,tt)),':')
            
            %           title([texlabel(nameshocks(select2,:)),'nonlinear (-) linear (..)']);
            plot(date(tt),ssvalues(select2)*exp((1-ssvalues(select2))*psismooth(select1+2,tt)))
            
            if taushock(ii) == 17 && parstoch(taushock(ii)) > 0              
                title(nameshocks(17,:));   
                ylabel('Fraction')
                
            elseif taushock(ii) == 8 && parstoch(taushock(ii)) > 0               
                title(nameshocks(8,:));
                ylabel('Fraction')
                
            elseif taushock(ii) == 9  && parstoch(taushock(ii)) > 0
                title(nameshocks(9,:));
                ylabel('Fraction')
                
            elseif taushock(ii) == 5 && parstoch(taushock(ii)) > 0
                title(nameshocks(5,:));
                ylabel('Fraction')
                
            else
                title(texlabel(nameshocks(select2,:)));        
                ylabel('Fraction')
            end
            
        else
            subplot(n1,n2,ii)
            plot(date(tt),ssvalues(select2)*exp(psismooth(select1+2,tt)))
            title(nameshocks(select2,:));
            ylabel('Level')
        end
        
    end
    
    %set (gca,'XTick',[0 20])
    axis tight
    
end

