function [R,ix,pii,Re,Ra,her,Retk,k,invest,w,c,uzc,mb,lambdaz,costs,psiL,erz,ev,ksi,xb,hkb,g,y,phi,rentk,RT,Rm,dm] = snoentr(l,parameters)


Rlow  = 0.001;
Rhigh = 0.06;

%try and bracket the solution:
% [ff] = findssnoentr(Rlow,params);
% [ff1] = findssnoentr(Rhigh,params);
% if ff*ff1 > 0
%     error('fatal (steadystate) failed to bracket solution')
% end

opts =optimset('TolFun',1e-10,'TolX',1e-10,'Maxit',1000);
[R,fval,exitflag]=fzero(@findssnoentr,[Rlow,Rhigh],opts,l,parameters);
if abs(fval) > 5.6e-10 | abs(imag(R)) > .1e-10 | R<0 |exitflag ~= 1
    error('fatal (steadystate) failed to solve for steady state')
end

[ff,ix,pii,Re,Ra,her,Retk,k,invest,w,c,uzc,mb,lambdaz,costs,psiL,erz,ev,ksi,xb,hkb,g,y,phi,rentk,RT,Rm,dm] = ssnoentr(R,l,parameters);
