function [ff,G,F,Gamma,Gam_muG,Fprime]=findomeg(omega,sig,mu,sp1)
z       =   (log(omega)+sig^2/2)/sig;
G       =   .5*(1-erf(-(z-sig)/sqrt(2)));
F       =   .5*(1-erf(-z/sqrt(2)));
Gamma   =   G+omega*(1-F);
Gam_muG =   (1-mu)*G+omega*(1-F);
Fprime  =   (1/sqrt(2*3.14159265358979))*exp(-z^2/2)/(omega*sig);
ff       =   (1-Gamma) * sp1 + ( sp1*Gam_muG-1 )/( 1 - mu*omega*Fprime/(1-F) );
