function [fval] = forecastkalman1_cond5_min(innovation_init_estim,innovation_c,innovation_init,LLL_1,N_lowerb,bbb_policy,LL,F,Q,xsmooth_c,Vsmooth_c,H,HH,R,alf,tauvar,BD,ybar_policy,t1,aa_policy)

if length(bbb_policy) ==1
    innovation_init(1,1) = innovation_init_estim;
elseif length(bbb_policy) == LL
    innovation_init([1,LLL_1+1:LL],1) = innovation_init_estim;
end

innovation_cc = [innovation_c(:,LLL_1) zeros(size(innovation_c,1),N_lowerb-1)];

innovation_cc(bbb_policy,:) = innovation_init;
if length(bbb_policy) == LL
    for jj = 2:N_lowerb
        innovation_cc(bbb_policy(1),jj) = innovation_init(end-jj+2,1);
    end
end

[VYhat,Yhat,Yhat_cc,xsmooth_cc,Vsmooth_cc] = forkalman(F,Q,xsmooth_c,Vsmooth_c,H,HH,R,alf,tauvar,BD,innovation_cc,t1+(LLL_1-1),N_lowerb);

if length(bbb_policy) ==1
    fval = sum((400*Yhat_cc(aa_policy,t1+LLL_1) - 400*ybar_policy(LLL_1)).^2);    
elseif length(bbb_policy) ==LL
    fval = sum((400*Yhat_cc(aa_policy,t1+LLL_1:t1+LLL_1+N_lowerb-1) - 400*ybar_policy(LLL_1:LLL_1+N_lowerb-1)).^2);
end
