function [nameshocks,nameXXX,nameXX] = getnames(fdiff)

nameshocks =[
    'Firm Markup, \lambda_{f,t}                 '
    'Inflation Objective, \pi^{*}_{t}           '
    '\psi_{l,t}                                 '
    '\psi_{k,t}                                 '
    'Banking Reserve Demand, \xi_{t}            '
    'Banking Technology, xb                     '
    'Investment Specific, \mu_{\Upsilon,t}      '
    'Money Demand, \theta_{t}                   '
    'Money Demand Shock, \chi_{t}               '
    '\tau_{l,t}                                 '
    '\tau_{k,t}                                 '
    'Labor Market Power, \zeta_{h,t}            '
    'Government Consumption, g_{t}              '
    'Liquidity Demand, \nu_{t}                  '
    '\tau_{D,t}                                 '
    'Persistent Technology, \mu_{t}             '
    'Financial Wealth, \gamma_{t}               '
    'Technology, \epsilon_{t}                   '
    'Monetary Policy, xp                        '
    '\tau_{C,t}                                 '
    'Riskiness of Entrepreneurs, \sigma_{t}     '
    'Consumption Preference, \zeta_{c,t}        '
    'Marginal Investment Efficiency, \zeta_{i,t}'
    'Oil Price, \tau^{oil}_{t}                  '
    'Term Spread                                '];

if fdiff ==0
    nameXXX =   char('Log, Net Worth/GDP', ...
        'Inflation', ...
        'Log, Hours', ...
        'Loans', ...
        'GDP Growth', ...
        'Log, Real Wage / GDP', ...
        'Log, Investment / GDP', ...
        'Log, M1 Velocity', ...
        'Log, M3 velocity', ...
        'Log, Consumption / GDP', ...
        'Pe', ...
        'Spread (Long Rate - Short rate)', ...
        'Ra', ...
        'Re', ...
        'Log, capacity utilization', ...
        'Government Consumption Growth', ...
        'Change in Price of Investment', ...
        'Change in real energy price', ...
        'Spread (Medium Rate - Short rate)', ...
        'Banks Reserves');
elseif fdiff ==1
    
     nameXXX =   char('Growth, Real Net Worth (%)', ...
                 'Inflation (APR)', ...
                 'Log, Hours (%)', ...
                 'Growth, Loans (Annual %)', ...
                 'GDP Growth (Annual %)', ...
                 'Real Wage Growth (Annual %) ', ...
                 'Investment Growth (Annual %)', ...
                 'M1 Growth (Annual %)', ...
                 'M3 Growth (Annual %)', ...
                 'Consumption Growth (Annual %)', ...
                 'Risk Premium (Annual Rate)', ...
                 'Spread (Long - Short Rate), Annual', ...
                 'Ra (Annual Rate)', ...
                 'Re (Annual rate)', ...
                 'Log, capacity utilization (%)', ...
                 'Govern. Consump. Growth (Annual %)', ...
                 'Growth, Price of Invest. (Annual %)', ...
                 'Growth, Oil Price (%)', ...
                 'Spread (Medium - Short Rate), Annual', ...
                 'Banks Reserves Growth, (%)');
             
    nameXX =   char('dN', ...
                 'dP', ...
                 'H', ...
                 'dL', ...
                 'dY', ...
                 'dW', ...
                 'dI', ...
                 'dM1', ...
                 'dM3', ...
                 'dC', ...
                 'Pe', ...
                 'Spread', ...
                 'Ra', ...
                 'Re', ...
                 'U', ...
                 'dG', ...
                 'dPI', ...
                 'dPo', ...
                 'Spread1', ...
                 'Res');
end

