function [ffR,w,l,y,phi,g,c,vn,uzc,lamz,Ra,her,Rm,dm,mb,m,erz,ev,hkb,vl] = glidepert(R,alpha,lambdaf,rk,psik,psil,k,muzstar,upsil, ...
    bigtheta,gamma,n,we,mu,G,Rk,pi,etag,i,b,zeta,psiL,sigmaL,lambdaw,taul,x,theta,Re,tau,chorse,chii,tauD,beta,sigmaq,v, ...
    tauc,ksi,xb,rhobank,pref)

%equation aa1
w           =   ((1-alpha)^(1-alpha)*alpha^alpha/(lambdaf*(rk*(1+psik*R))^alpha))^(1/(1-alpha))/(1+psil*R);

%equation aa2
l           =   (k/(muzstar*upsil))*((1-alpha)/alpha)*(rk*(1+psik*R)/(w*(1+psil*R)));

%start loop on vl
vllow   =  0.8;%0.99065;%0.0001;
vlhigh  =  0.998;%0.99066;%0.999;%
vl=vllow

% vvl=[vllow:.00001:vlhigh];
% ij=0;
% vl=vvl(1);
% try
%     [ffv(1),y,phi,g,c,vn,uzc,lamz,Ra,her,Rm,dm,mb,m,erz,ev,hkb] = findvl(vl,k,muzstar,upsil,alpha,lambdaf,bigtheta,gamma,n,we,mu,G, ...
%         Rk,pi,l,etag,i,b,zeta,psiL,sigmaL,lambdaw,w,taul,x,theta,Re,R,tau,chorse,chii,tauD,beta,sigmaq,v,tauc,psil,psik,ksi,xb,rhobank, ...
%         pref,rk);
% catch
% end
% for ii = 2:length(vvl)
%     vl=vvl(ii);
%     try
%         [ffv(ii),y,phi,g,c,vn,uzc,lamz,Ra,her,Rm,dm,mb,m,erz,ev,hkb] = findvl(vl,k,muzstar,upsil,alpha,lambdaf,bigtheta,gamma,n,we,mu,G, ...
%             Rk,pi,l,etag,i,b,zeta,psiL,sigmaL,lambdaw,w,taul,x,theta,Re,R,tau,chorse,chii,tauD,beta,sigmaq,v,tauc,psil,psik,ksi,xb,rhobank, ...
%             pref,rk);
%         if ffv(ii)*ffv(ii-1) < 0
%             ij=ij+1;
%             II(ij)=ii;
%         end
%     catch
%     end
% end
% if ij > 1 
%     error('(steadysolve) multiple solutions for R')
% end
% if ij < 1 
%     error('(steadysolve) no solution for R')
% end
% vllow=vvl(II(1)-1);
% vlhigh=vvl(II(1));

% [ffvlow,y,phi,g,c,vn,uzc,lamz,Ra,her,Rm,dm,mb,m,erz,ev,hkb] = findvl(vllow,k,muzstar,upsil,alpha,lambdaf,bigtheta,gamma,n,we,mu,G, ...
%     Rk,pi,l,etag,i,b,zeta,psiL,sigmaL,lambdaw,w,taul,x,theta,Re,R,tau,chorse,chii,tauD,beta,sigmaq,v,tauc,psil,psik,ksi,xb,rhobank, ...
%     pref,rk);
% 
% [ffvhigh,y,phi,g,c,vn,uzc,lamz,Ra,her,Rm,dm,mb,m,erz,ev,hkb] = findvl(vlhigh,k,muzstar,upsil,alpha,lambdaf,bigtheta,gamma,n,we,mu,G, ...
%     Rk,pi,l,etag,i,b,zeta,psiL,sigmaL,lambdaw,w,taul,x,theta,Re,R,tau,chorse,chii,tauD,beta,sigmaq,v,tauc,psil,psik,ksi,xb,rhobank, ...
%     pref,rk);
% if ffvlow*ffvhigh > 0
%     error('fatal (glidepert) failed to bracket solution for vl')
% end       

opt =optimset('TolFun',1e-12,'TolX',1e-12,'Maxit',100);
[vl,fval,exitflag,output] =   fminbnd(@ffindvl,vllow,vlhigh,opt,k,muzstar,upsil,alpha,lambdaf,bigtheta,gamma,n,we,mu,G, ...
    Rk,pi,l,etag,i,b,zeta,psiL,sigmaL,lambdaw,w,taul,x,theta,Re,R,tau,chorse,chii,tauD,beta,sigmaq,v,tauc,psil,psik,ksi,xb,rhobank, ...
    pref,rk);
if exitflag < 0 | abs(fval) > .5e-8 | abs(imag(vl)) > .1e-10 | vl<0 | vl>1
    error('fatal (glidepert) failed to find vl')
end

[ffvl,y,phi,g,c,vn,uzc,lamz,Ra,her,Rm,dm,mb,m,erz,ev,hkb] = findvl(vl,k,muzstar,upsil,alpha,lambdaf,bigtheta,gamma,n,we,mu,G, ...
    Rk,pi,l,etag,i,b,zeta,psiL,sigmaL,lambdaw,w,taul,x,theta,Re,R,tau,chorse,chii,tauD,beta,sigmaq,v,tauc,psil,psik,ksi,xb,rhobank, ...
    pref,rk);
%here end of loop on vl


%verify whether equation aa8 is satisfied
ffR=(1+psik*R)*rk-R*hkb/(1+tau*her);


