function [] = pltout(yhat,yvar,Rehatp,Re,Rvar,infhat,infvar,chat,cvar,ihat,ivar,lhat,hvar,uhat,cuvar, ...
    what,wvar,gm1,pi,muzstar,mvar,velm1t,velm1,vvar,str,xt,x,Rhat,R,velbasehat,ty)

colormap(gray);
cm=colormap;
shdcol=cm(37,:);

xx=ty;
yy=yvar(xx,1);
yym=yhat(xx)*100;
ss=2*yvar(xx,2);
y1=yy(xx)+ss;
y2=yy(xx)-ss;
subplot(521)
pltrob
set(gca,'Xticklabel',{''});
hold off
title('Output')
ylabel('Percent')


yy=Rvar(xx,1)*100;
yym=Rehatp(xx)*Re*100*400;
ss=2*Rvar(xx,2)*100;
y1=yy(xx)+ss;
y2=yy(xx)-ss;
subplot(522)
pltrob
set(gca,'Xticklabel',{''});
hold off
title('Re (Annual Rate)')
ylabel('Basis Points')


yy=infvar(xx,1);
yym=infhat(xx)*pi*400;
ss=2*infvar(xx,2);
y1=yy(xx)+ss;
y2=yy(xx)-ss;
subplot(523)
pltrob
set(gca,'Xticklabel',{''});
hold off
title('Inflation APR')

yy=cvar(xx,1);
yym=chat(xx)*100;
ss=2*cvar(xx,2);
y1=yy(xx)+ss;
y2=yy(xx)-ss;
subplot(524)
pltrob
set(gca,'Xticklabel',{''});
hold off
title('Consumption')
ylabel('Percent')

yy=ivar(xx,1);
yym=ihat(xx)*100;
ss=2*ivar(xx,2);
y1=yy(xx)+ss;
y2=yy(xx)-ss;
subplot(525)
pltrob
set(gca,'Xticklabel',{''});
hold off
title('Investment')
ylabel('Percent')

yy=hvar(xx,1);
yym=lhat(xx)*100;
ss=2*hvar(xx,2);
y1=yy(xx)+ss;
y2=yy(xx)-ss;
subplot(526)
pltrob
set(gca,'Xticklabel',{''});
hold off
title('Hours Worked')
ylabel('Percent')

yy=cuvar(xx,1);
yym=uhat(xx)*100;
ss=2*cuvar(xx,2);
y1=yy(xx)+ss;
y2=yy(xx)-ss;
subplot(527)
pltrob
set(gca,'Xticklabel',{''});
hold off
title('Capacity Utilization (Percent Deviation from Unity)')

yy=wvar(xx,1);
yym=what(xx)*100;
ss=2*wvar(xx,2);
y1=yy(xx)+ss;
y2=yy(xx)-ss;
subplot(528)
pltrob
set(gca,'Xticklabel',{''});
hold off
title('Real Wage')
ylabel('Percent')

yy=4*mvar(xx,1);
ss=2*4*mvar(xx,2);
y1=yy(xx)+ss;
y2=yy(xx)-ss;
subplot(529)
area(xx,y2,max(y1),'Facecolor',shdcol)
hold on
area(xx,y1,max(y1),'Facecolor','w')%,'Edgecolor','w')
plot(xx,ones(size(xx))*max(y1),'w')
plot(xx,y1,'w',xx,y2,'w')
plot(xx,(gm1(xx)-pi*muzstar)*400,xx,(xt(xx)-x)*400,'--',xx,yy(xx),'k-+')
title('Base Growth (model, --), M1 Growth (model, -) M2 Growth (VAR, +)')
ylabel('APR')
xlabel('Quarters')
axis tight
hold off

%yy=vvar(xx,1);
%ss=2*4*mvar(xx,2);
%y1=yy(xx)+ss;
%y2=yy(xx)-ss;
%subplot(529)
%area(xx,y2,max(y1),'Facecolor',shdcol)
%hold on
%area(xx,y1,max(y1),'Facecolor','w')%,'Edgecolor','w')
%plot(xx,ones(size(xx))*max(y1),'w')
%plot(xx,y1,'w',xx,y2,'w')
%plot(xx,(gm1(xx)-pi*muzstar)*400,xx,(xt(xx)-x)*400,'--',xx,yy(xx),'k-+')
%title('Base Growth (model, --), M1 Growth (model, -) M2 Growth (VAR, +)')
%ylabel('APR')
%xlabel('Quarters')
%axis tight
%hold off
yy=vvar(xx,1);
yym=((velm1t(xx)-velm1)/velm1)*100;
ss=2*vvar(xx,2);
y1=yy(xx)+ss;
y2=yy(xx)-ss;
subplot(5,2,10)
area(xx,y2,max(y1),'Facecolor',shdcol)
hold on
area(xx,y1,max(y1),'Facecolor','w')%,'Edgecolor','w')
plot(xx,ones(size(xx))*max(y1),'w')
plot(xx,y1,'w',xx,y2,'w')
plot(xx,yym(xx),xx,velbasehat(xx)*100,'--',xx,yy(xx),'k-+')
title('Base Velocity (model, --), M1 Velocity (model, -) M2 Velocity (VAR, +)')
ylabel('Percent')
xlabel('Quarters')
ylabel('Percent')
axis tight
hold off
hout=suptitle(str);%e(str);