%variables(6,:)  = 'Bankruptcy (%)   ';
%variables(14,:) = 'Output(Percent)  ';
%variables(15,:) = 'Curr/Dep. x 100  ';
%variables(11,:) = 'Finance Pr.(%)   ';
%variables(16,:) = 'MB vel(Percent)  ';
%variables(2,:)  = 'M1 vel(Percent)  ';
%variables(12,:) = 'M3 vel(Percent)  ';
%variables(29,:) = 'Bank Assets      ';
%variables(30,:) = 'Working Capital  ';
%variables(31,:) = 'Ent Loans        ';
%variables(32,:) = 'Bank Reserves    ';
%variables(33,:) = 'Ex. Res. x 100   ';
%variables(34,:) = 'Policy Rate (APR)';
%variables(35,:) = 'M1 (Percent)     ';
%variables(36,:) = 'Ent Rate(Basis)  ';
%variables(37,:) = 'R Ent Rate (Ba)  ';
%variables(38,:) = 'R WK loan R(Ba)  ';
%variables(39,:) = 'TFP (Percent)    ';


if irun == 2
    %variables(25,:) = 'Total Factor Productivity (Percent)  ';
    variables(39,:) = 'TFP (Percent -), Tech (Percent --)   ';
end
II=[39, 9, 7, 6, 11, 8, 36, 22, 17];
ip=0;
for iii=II,
    ip=ip+1;
    subplot(3,3,ip)
    hold;
    if SameA==1, axis(VV); end;
    if irun == 2 & iii == 39
        ab=100*(zt-zbt)./zbt;
        ts=1:Time;
        plot(ts,RR(sss+iii,:),'-',ts,ab(ts),'--')
    else
        if iii == 17
            plot(tt,RR(sss+iii,tt),tt,ones(size(tt))*Ra*400)
        elseif iii == 22
            plot(tt,RR(sss+iii,tt),tt,ones(size(tt))*Re*400)
        elseif iii == 36
            plot(tt,RR(sss+iii,tt),tt,ones(size(tt))*(Z-1)*400)
        elseif iii == 11
            plot(tt,RR(sss+iii,tt),tt,ones(size(tt))*premium*400)
        elseif iii == 6
            plot(tt,RR(sss+iii,tt),tt,ones(size(tt))*probss*100)
        elseif iii == 7
            plot(tt,RR(sss+iii,tt),tt,ones(size(tt))*Rk*400)
        else
            plot(tt,RR(sss+iii,tt))
        end
    end
    %   if ii < 7;set (gca,'XTick',[0 20]);end
    grid on
    if (sss+iii) ~= (sss+bv+1),
        title([texlabel(variables(iii,:))]);
    elseif (sss+iii) == (sss+bv+1),
        title([texlabel(shockss(jjj,:))]);
    end;
    
    hold 
end
if irun == 1
    str=['Figure 8: Response of Other Variables to a Monetary Policy Shock'];
elseif irun == 2
    str=['Figure 12: Response of Other Variables to a Shock'];
elseif irun == 3
    str=['Figure 16: Response of Other Variables to Increase in Risk of Entrepreneurs'];
elseif irun == 4
    str=['Figure 16: Response to v Shock'];
else
    str = ['Response to shock'];
end
hout=suptitle(str);