function plttkalout(n1,n2,compfilt,net,netk1,date,netk2,infl,inflkl,inflk2,price,pricek2,XXX,XXXfilt,XXXsmooth, ...
    output,outputk1,outputk2,wage,wagek1,wagek2,invest,investk1,investk2,money1,money1k1,money1k2,money3,moneyk1,money3k2,cons,consk1,consk2, ...
    Spread1,Spread1k2,hours,hoursk2,capacity,capacityk2,btott,btottk2,dbtott,dbtottk2,Ra_series,Ra_seriesk2,Re_series,Re_seriesk2, ...
    Pe_series,Pe_seriesk2,tt,tauvar,currdep,Pe,Rb,Ra,Re,ref,rf,dmoney3,dmoney1,dinvest,dout,dwage,dcons, ...
    dmoney3k2,dmoney1k2,dinvestk2,doutk2,dwagek2,dconsk2,govc,dgovc,idef,didef,govck2,dgovck2,idefk2,didefk2,pi, ...
    oilp,doilp,oilpk2,doilpk2,Spread2,Spread2k2,dnet,dnetk2,reserves,reservesk2,dreserves,dreservesk2)

%ref is set in file plotstuff

yoy =1; %=1 plot data converted to y-o-y growth rates; =0 plot data converted to levels

ii=1;
if max(tauvar==1)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=net(ref)*rf-netk1(ref)*rf;
        plot(date(tt),net(tt),date(tt),netk1(tt)+aa,'--',date(tt),netk2(tt),':')
    else
        if yoy ==0
        plot(date(tt),net(tt),date(tt),netk2(tt),date(tt),netk2(tt),'.')
        title('Log, Net Worth')
        elseif yoy ==1
        plot(date(tt),dnet(tt),date(tt),dnetk2(tt),date(tt),dnetk2(tt),'.')
        title('Net Worth (y-o-y)')
        end
    end 
    %set (gca,'XTick',[0 21])
    axis tight
    ii=ii+1;
end
if max(tauvar==2)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=price(ref)*rf-pricek1(ref)*rf;
        plot(date(tt),price(tt),date(tt),pricek1(tt)+aa,'--',date(tt),pricek2(tt),':')
    else
        if yoy ==0
            plot(date(tt),price(tt),date(tt),pricek2(tt),date(tt),pricek2(tt),'.')
            title('Log, Price Level')
        elseif yoy ==1
            plot(date(tt),infl(tt),date(tt),400*log(pi)+inflk2(tt),date(tt),400*log(pi)+inflk2(tt),'.')
            %plot(date(tt),infl(tt),date(tt),inflk2(tt),date(tt),inflk2(tt),'.')
            title('Inflation (y-o-y)')
        end   
    end
    set (gca,'XTick',[0 21])
    axis tight
    ii=ii+1;
end
if max(tauvar==3)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=hours(ref)*rf-XXXfilt(3,ref)*rf;
        plot(date(tt),hours(tt),date(tt),XXXfilt(3,tt)+aa,'--',date(tt),hoursk2(tt),':')
    else
        plot(date(tt),hours(tt),date(tt),hoursk2(tt),date(tt),hoursk2(tt),'.')
    end
    title('Log, Hours Worked')
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
if max(tauvar==4)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=btott(ref)*rf-btottk1(4,ref)*rf;
        plot(date(tt),btott(tt),date(tt),btottk1(tt)+aa,'--',date(tt),btottk1(tt),':')
    else
        if yoy ==0
            plot(date(tt),btott(tt),date(tt),btottk2(tt),date(tt),btottk2(tt),'.')
            title('Log, Loans')
        elseif yoy ==1
            plot(date(tt),dbtott(tt),date(tt),dbtottk2(tt),date(tt),dbtottk2(tt),'.')
            title('Loan Growth (y-o-y)')
        end
    end
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
if max(tauvar==5)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=output(ref)*rf-outputk1(ref)*rf;
        plot(date(tt),output(tt),date(tt),outputk1(tt)+aa,'--',date(tt),outputk2(tt),':')
    else
        if yoy ==0
            plot(date(tt),output(tt),date(tt),outputk2(tt),date(tt),outputk2(tt),'.')
            title('Log, Output')
        elseif yoy ==1
            plot(date(tt),dout(tt),date(tt),doutk2(tt),date(tt),doutk2(tt),'.')
            title('Output Growth (y-o-y)')
        end 
    end
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
if max(tauvar==6)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=wage(ref)*rf-wagek1(ref)*rf;
        plot(date(tt),wage(tt),date(tt),wagek1(tt)+aa,'--',date(tt),wagek2(tt),':')
    else
        if yoy ==0
            plot(date(tt),wage(tt),date(tt),wagek2(tt),date(tt),wagek2(tt),'.')
            title('Log, Real Wage')
        elseif yoy ==1
            plot(date(tt),dwage(tt),date(tt),dwagek2(tt),date(tt),dwagek2(tt),'.')
            title('Real Wage Growth (y-o-y)')
        end
    end
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
if max(tauvar==7)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=invest(ref)*rf-investk1(ref)*rf;
        plot(date(tt),invest(tt),date(tt),investk1(tt)+aa,'--',date(tt),investk2(tt),':')
    else
        if yoy ==0
            plot(date(tt),invest(tt),date(tt),investk2(tt),date(tt),investk2(tt),'.')
            title('Log, Investment')
        elseif yoy == 1
            plot(date(tt),dinvest(tt),date(tt),dinvestk2(tt),date(tt),dinvestk2(tt),'.')      
            title('Investment Growth (y-o-y)')
        end
    end
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
if max(tauvar==8)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=money1(ref)*rf-money1k1(ref)*rf;
        plot(date(tt),money1(tt),date(tt),money1k1(tt)+aa,'--',date(tt),money1k2(tt),':')
    else
        if yoy ==0
            plot(date(tt),money1(tt),date(tt),money1k2(tt),date(tt),money1k2(tt),'.')
            title('Log, M1 (nominal)')
        elseif yoy ==1
            plot(date(tt),dmoney1(tt),date(tt),dmoney1k2(tt),date(tt),dmoney1k2(tt),'.')
            title('M1 Growth (y-o-y)')
        end
    end
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
if max(tauvar==9)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=money3(ref)*rf-money3k1(ref)*rf;
        plot(date(tt),money3(tt),date(tt),money3k1(tt)+aa,'--',date(tt),money3k2(tt),':')
    else
        if yoy ==0
            plot(date(tt),money3(tt),date(tt),money3k2(tt),date(tt),money3k2(tt),'.')
            title('Log, M3 (nominal)')
        elseif yoy ==1
            plot(date(tt),dmoney3(tt),date(tt),dmoney3k2(tt),date(tt),dmoney3k2(tt),'.')
            title('M3 Growth (y-o-y)')
        end            
    end
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
if max(tauvar==10)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=cons(ref)*rf-consk1(ref)*rf;
        plot(date(tt),cons(tt),date(tt),consk1(tt)+aa,'--',date(tt),consk2(tt),':')
    else
        if yoy ==0
            plot(date(tt),cons(tt),date(tt),consk2(tt),date(tt),consk2(tt),'.')
            title('Log, Consumption')
        elseif yoy ==1
            plot(date(tt),dcons(tt),date(tt),dconsk2(tt),date(tt),dconsk2(tt),'.')
            title('Consumption Growth (y-o-y)')
        end            
    end
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
if max(tauvar==11)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=Pe_series(ref)*rf-XXXfilt(11,ref)*rf;
        plot(date(tt),400*Pe_series(tt),date(tt),400*Pe_seriesk1(tt)+aa,'--',date(tt),400*Pe_seriesk2(tt),':')
    else
        plot(date(tt),400*Pe_series(tt),date(tt),400*Pe_seriesk2(tt),date(tt),400*Pe_seriesk2(tt),'.')
    end
    title('Premium (APR)')
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
if max(tauvar==12)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=Spread1(ref)*rf-Spread1k1(ref)*rf;
        %   plot(date(tt),XXX(12,tt),date(tt),XXXfilt(12,tt),'--',date(tt),XXXsmooth(12,tt)+mean(XXX(12,tt))-mean(XXXsmooth(12,tt)),':')
    else
        plot(date(tt),400*Spread1(tt),date(tt),400*Spread1k2(tt),date(tt),400*Spread1k2(tt),'.')
    end
    title('Long - Short Rate, APR')
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
if max(tauvar==13)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=Ra_series(ref)*rf-XXXfilt(13,ref)*rf;
        plot(date(tt),400*Ra_series(tt),date(tt),400*Ra_seriesk1(tt)+aa,'--',date(tt),400*Ra_seriesk2(tt),':')
    else
        %plot(date(tt),400*Ra_series(tt),date(tt),400*Ra_seriesk2(tt)+400*Ra,date(tt),400*Ra_seriesk2(tt)+400*Ra,'.')
        plot(date(tt),400*Ra_series(tt),date(tt),400*Ra_seriesk2(tt),date(tt),400*Ra_seriesk2(tt),'.')
    end
    title('Ra')
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
if max(tauvar==14)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=Re_series(ref)*rf-XXXfilt(14,ref)*rf;
        plot(date(tt),400*Re_series(tt),date(tt),400*Re_seriesk1(tt)+aa,'--',date(tt),400*Re_seriesk2(tt),':')
    else
        %plot(date(tt),400*Re_series(tt),date(tt),400*Re_seriesk2(tt)+400*Re,date(tt),400*Re_seriesk2(tt)+400*Re,'.')
        plot(date(tt),400*Re_series(tt),date(tt),400*Re_seriesk2(tt),date(tt),400*Re_seriesk2(tt),'.')
    end
    title('Re')
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
if max(tauvar==15)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=capacity(ref)*rf-XXXfilt(15,ref)*rf;
        plot(date(tt),capacity(tt),date(tt),capacityk1(tt)+aa,'--',date(tt),capacityk2(tt),':')
    else
        plot(date(tt),capacity(tt),date(tt),capacityk2(tt),date(tt),capacityk2(tt),'.')
    end
    title('Log, Capacity Utilization')
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
if max(tauvar==16)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=govc(ref)*rf-govck1(ref)*rf;
        plot(date(tt),govc(tt),date(tt),govck1(tt)+aa,'--',date(tt),govck2(tt),':')
    else
        if yoy ==0
            plot(date(tt),govc(tt),date(tt),govck2(tt),date(tt),govck2(tt),'.')
            title('Log, Government Consumption')
        elseif yoy ==1
            plot(date(tt),dgovc(tt),date(tt),dgovck2(tt),date(tt),dgovck2(tt),'.')
            title('Government Consumption Growth (y-o-y)')
        end
    end
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
if max(tauvar==17)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=idef(ref)*rf-idefk1(ref)*rf;
        plot(date(tt),idef(tt),date(tt),idefk1(tt)+aa,'--',date(tt),idefk2(tt),':')
    else
        if yoy ==0
            plot(date(tt),idef(tt),date(tt),idefk2(tt),date(tt),idefk2(tt),'.')
            title('Log, Relative Price of Investment')
        elseif yoy ==1
            plot(date(tt),didef(tt),date(tt),didefk2(tt),date(tt),didefk2(tt),'.')
            title('Change in Relative Price of Invest. (y-o-y)')
        end
    end
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
if max(tauvar==18)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=oilp(ref)*rf-oilpk1(ref)*rf;
        plot(date(tt),oilp(tt),date(tt),oilpk1(tt)+aa,'--',date(tt),oilpk2(tt),':')
    else
        if yoy ==0
            plot(date(tt),oilp(tt),date(tt),oilpk2(tt),date(tt),oilpk2(tt),'.')
            title('Log, Energy Price (real terms)')
        elseif yoy ==1
            plot(date(tt),doilp(tt),date(tt),doilpk2(tt),date(tt),doilpk2(tt),'.')
            title('Change in Energy Price (real, y-o-y)')
        end
    end
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
% if max(tauvar==19)==1
%     subplot(n1,n2,ii)
%     if compfilt == 1
%         aa=capit(ref)*rf-capitk1(ref)*rf;
%         plot(date(tt),capit(tt),date(tt),capitk1(tt)+aa,'--',date(tt),capitk2(tt),':')
%     else
%         if yoy ==0
%             plot(date(tt),capit(tt),date(tt),capitk2(tt),date(tt),capitk2(tt),'.')
%             title('Log, Capital Stock')
%         elseif yoy ==1
%             plot(date(tt),dcapit(tt),date(tt),dcapitk2(tt),date(tt),dcapitk2(tt),'.')
%             title('Change in Capital Stock (y-o-y)')
%         end
%     end
%     %set (gca,'XTick',[0 20])
%     axis tight
% end

if max(tauvar==19)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=Spread2(ref)*rf-Spread2k1(ref)*rf;
        %   plot(date(tt),XXX(12,tt),date(tt),XXXfilt(12,tt),'--',date(tt),XXXsmooth(12,tt)+mean(XXX(12,tt))-mean(XXXsmooth(12,tt)),':')
    else
        plot(date(tt),400*Spread2(tt),date(tt),400*Spread2k2(tt),date(tt),400*Spread2k2(tt),'.')
    end
    title('Medium - Short Rate, APR')
    %set (gca,'XTick',[0 20])
    axis tight
end
if max(tauvar==20)==1
    subplot(n1,n2,ii)
    if compfilt == 1
        aa=reserves(ref)*rf-reservesk1(ref)*rf;
        plot(date(tt),reserves(tt),date(tt),reservesk1(tt)+aa,'--',date(tt),reservesk2(tt),':')
    else
        if yoy ==0
        plot(date(tt),reserves(tt),date(tt),reservesk2(tt),date(tt),reservesk2(tt),'.')
        title('Log, Banks'' Reserves')
        elseif yoy ==1
        plot(date(tt),dreserves(tt),date(tt),dreservesk2(tt),date(tt),dreservesk2(tt),'.')
        title('Banks'' Reserves (y-o-y)')
        end
    end 
    %set (gca,'XTick',[0 21])
    axis tight
    ii=ii+1;
end

subplot(n1,n2,16)
text(.01,.9,'Notes: ')
text(.01,.63,'   Results obtained by first adding ')
text(.01,.50,'   actual data sample mean ')
text(.01,.37,'   and then aggregating to levels.')

set (gca,'XTick',[0 20])
set (gca,'YTick',[0 1])
vaxis = axis; %get the current axis value
xmin = vaxis(1);
xmax= vaxis(2);
ymin = vaxis(3);
ymax = vaxis(4);
hold on
plot([xmin xmax],[ymin ymin],'w-') %bottom
plot([xmin xmin],[ymin ymax],'w-') % left
%%plot([xmin xmax],[ymax ymax],'w-') %top
plot([xmax xmax],[ymin ymax],'w-') %right

if compfilt ==1
    str='Data (-), Kalman filtered (--) and Kalman smoothed (..)';
else
    if yoy == 0
        str='Figure: Actual (solid line) and Fitted (dotted line) Data, Converted to Levels';
    elseif yoy ==1
        str='Figure: Actual (solid) and Fitted (dotted) Data, Converted to y-o-y Growth Rates';
    end
end
hout=suptitle(str);

plotrate=0;
if plotrate == 1
    figure 
    
    if compfilt == 1
        aa=Rb_series(ref)*rf-XXXfilt(4,ref)*rf;
        plot(date(tt),400*Rb_series(tt),date(tt),400*Rb_seriesk1(tt)+aa,'--',date(tt),400*Rb_seriesk2(tt),':')
    else
        plot(date(tt),400*Rb_series(tt),date(tt),400*Rb_seriesk2(tt),date(tt),400*Rb_seriesk2(tt),'.')
        %plot(date(tt),400*Rb_series(tt),date(tt),400*Rb_seriesk2(tt),date(tt),400*Rb_seriesk2(tt),'.',date(tt),400*min(Rb_series(tt))*ones(size(tt)))  
        ylabel('Annual, Percent Return')
    end
    
    title('Figure 11: Interbank Rate under Baseline Simulation (Solid Line) and Counterfactual with Front-Loading of Monetary Response to Shocks (Dotted)')
    %set (gca,'XTick',[0 20])
    axis tight
    
    diffcount=400*(max(Rb_seriesk2(tt))-min(Rb_seriesk2(tt)));
    diffbase=400*(max(Rb_series(tt))-min(Rb_series(tt)));
end