function [ff,omega,G,F,Gamma,Gam_muG,Fprime,er] = findprof(Pe,sp1,lev,sig,mu)
er=0;
omega   =   (Pe/sp1)*(lev-1)/lev;
if omega < 0
    ff=0;
    G=[];
    F=[];
    Gamma=[];
    Gam_muG=[];
    Fprime=[];
    er=1;
    return
end

z       =   (log(omega)+sig^2/2)/sig;
G       =   .5*(1-erf(-(z-sig)/sqrt(2)));
%F       =   normcdf(z);
F       =   .5*(1-erf(-z/sqrt(2)));
%Gamma   =   normcdf(z-sig)+omega*(1-normcdf(z));
Gamma   =   G+omega*(1-F);
Gam_muG =   (1-mu)*G+omega*(1-F);
Fprime  =   (1/sqrt(2*3.14159265358979))*exp(-z^2/2)/(omega*sig);
ff      =   Gam_muG*lev*sp1-lev+1;
